Cleanup compiler warnings etc.

Index: openbios-quilt/Makefile
===================================================================
--- openbios-quilt.orig/Makefile	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/Makefile	2006-07-18 17:39:57.000000000 +0000
@@ -36,7 +36,7 @@
 	@mkdir -p $(ODIR)/host/kernel
 	@mkdir -p $(ODIR)/host/toke
 	@mkdir -p $(ODIR)/forth
-	@ln -s $(PWD)/include/$(ARCH) $(ODIR)/target/include/asm
+	@ln -s ../../../include/$(ARCH) $(ODIR)/target/include/asm
 	@#compile the host binary with target settings instead
 	@#ln -s $(PWD)/include/$(HOSTARCH) $(ODIR)/host/include/asm
 	@echo "ok."
Index: openbios-quilt/arch/sparc64/build.xml
===================================================================
--- openbios-quilt.orig/arch/sparc64/build.xml	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/arch/sparc64/build.xml	2006-07-18 17:39:57.000000000 +0000
@@ -61,7 +61,6 @@
  <executable name="target/arch/sparc64/builtin.o" target="target" condition="IMAGE_ELF_EMBEDDED">
   <rule><![CDATA[ arch/sparc64/builtin.c
 	$(CC) $$EXTRACFLAGS $(CFLAGS) $(INCLUDES) -c -o $@ $^]]></rule>
-  <external-object source="target/include/static-dict.h"/>
  </executable>
  
  <!-- END OF HACK ALERT -->
Index: openbios-quilt/arch/unix/blk.c
===================================================================
--- openbios-quilt.orig/arch/unix/blk.c	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/arch/unix/blk.c	2006-07-18 17:39:57.000000000 +0000
@@ -47,7 +47,7 @@
 }
 
 static void
-blk_close( blk_data_t *pb )
+blk_close( __attribute__((unused)) blk_data_t *pb )
 {
 	selfword("close-deblocker");
 }
@@ -80,20 +80,20 @@
 
 /* ( -- bs ) */
 static void
-blk_block_size( blk_data_t *pb )
+blk_block_size( __attribute__((unused)) blk_data_t *pb )
 {
 	PUSH( 512 );
 }
 
 /* ( -- maxbytes ) */
 static void
-blk_max_transfer( blk_data_t *pb )
+blk_max_transfer( __attribute__((unused)) blk_data_t *pb )
 {
 	PUSH( 1024*1024 );
 }
 
 static void
-blk_initialize( blk_data_t *pb )
+blk_initialize( __attribute__((unused)) blk_data_t *pb )
 {
 	fword("is-deblocker");
 }
Index: openbios-quilt/arch/unix/unix.c
===================================================================
--- openbios-quilt.orig/arch/unix/unix.c	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/arch/unix/unix.c	2006-07-18 17:39:57.000000000 +0000
@@ -309,7 +309,7 @@
 	PUSH((ucell) memory + MEMORY_SIZE);
 }
 
-void exception(cell no)
+void exception(__attribute__((unused)) cell no)
 {
 	/* 
 	 * this is a noop since the dictionary has to take care 
Index: openbios-quilt/kernel/internal.c
===================================================================
--- openbios-quilt.orig/kernel/internal.c	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/kernel/internal.c	2006-07-18 17:39:57.000000000 +0000
@@ -178,9 +178,11 @@
 
 static void sysdebug(void)
 {
-	cell errorno=POP();
 #ifdef FCOMPILER
+	cell errorno=POP();
 	exception(errorno);
+#else
+        (void) POP();
 #endif
 }
 
Index: openbios-quilt/modules/disk-label.c
===================================================================
--- openbios-quilt.orig/modules/disk-label.c	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/modules/disk-label.c	2006-07-18 17:39:57.000000000 +0000
@@ -168,7 +168,7 @@
 
 /* ( addr len -- actual ) */
 static void
-dlabel_write( dlabel_info_t *di )
+dlabel_write( __attribute__((unused)) dlabel_info_t *di )
 {
 	DDROP();
 	PUSH( -1 );
@@ -185,7 +185,7 @@
 
 /* ( addr -- size ) */
 static void
-dlabel_load( dlabel_info_t *di )
+dlabel_load( __attribute__((unused)) dlabel_info_t *di )
 {
 	/* XXX: try the load method of the part package */
 
Index: openbios-quilt/modules/nvram.c
===================================================================
--- openbios-quilt.orig/modules/nvram.c	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/modules/nvram.c	2006-07-18 17:39:57.000000000 +0000
@@ -275,7 +275,7 @@
 
 /* ( -- size ) */
 static void
-nvram_size( nvram_ibuf_t *nd )
+nvram_size( __attribute__((unused)) nvram_ibuf_t *nd )
 {
 	PUSH( nvram.size );
 }
Index: openbios-quilt/arch/sparc64/context.c
===================================================================
--- openbios-quilt.orig/arch/sparc64/context.c	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/arch/sparc64/context.c	2006-07-18 17:39:57.000000000 +0000
@@ -20,7 +20,7 @@
  * It is placed at the bottom of our stack, and loaded by assembly routine
  * to start us up.
  */
-struct context main_ctx = {
+const struct context main_ctx = {
     .regs[REG_SP] = (uint64_t) &_estack - 96,
     .pc = (uint64_t) start_main,
     .npc = (uint64_t) start_main + 4,
Index: openbios-quilt/config/examples/sparc64_rules.xml
===================================================================
--- openbios-quilt.orig/config/examples/sparc64_rules.xml	2006-07-18 17:38:30.000000000 +0000
+++ openbios-quilt/config/examples/sparc64_rules.xml	2006-07-18 17:39:57.000000000 +0000
@@ -26,7 +26,7 @@
 endif
 
 CFLAGS := -Os -Wall -W -DNATIVE_BITWIDTH_EQUALS_HOST_BITWIDTH -USWAP_ENDIANNESS -fno-builtin -g
-CFLAGS+=  -Wa,-xarch=v9 -Wa,-64 -m64 -mcpu=ultrasparc -mcmodel=medany
+CFLAGS+= -Wa,-xarch=v9 -Wa,-64 -m64 -mcpu=ultrasparc -mcmodel=medany
 CFLAGS+= -Wredundant-decls -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations
 CFLAGS+= -Wundef -Wendif-labels -Wstrict-aliasing
 INCLUDES := -Iinclude -Ikernel/include -I$(ODIR)/target/include
